/*****************************************************************************
 * $Id:: ut_user.h 4121 2010-08-03 13:30:19Z nxp28536                        $
 *
 * Project: UTimer Application Example for LPC1800TC
 *
 * Description:
 *   Interface to auto generated UTimer code.
 *----------------------------------------------------------------------------
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
                  
#ifndef __SCT_USER_H__
#define __SCT_USER_H__

#include "app_setup.h"
						 
#define trans1     		(1000)
#define trans2          (1100)
#define trans3          (1000)
#define trans4          (1100)
#define trans5          (1000)
#define trans6          (1100)
#define midperiod       (3000)
#define trigger_point   (2933) 	// 	midperiod - 71 + (10/2)
#define endperiod		(6000) 

extern void vSCT_Init(void);
extern void vSCT_Start(void);

#endif
