/*****************************************************************************
 * $Id: mc_bldc.h 6577 2011-06-06 12:00:00Z nxp16893 $
 *
 * Project: MC_lib
 *
 * Description: Brushless DC Motor Control libraries
 *
 * Copyright(C) 2011, NXP Semiconductor
 * All rights reserved.
 *
 *****************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * NXP Semiconductors assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. NXP Semiconductors
 * reserves the right to make changes in the software without
 * notification. NXP Semiconductors also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __MC_BLDC_H
#define	__MC_BLDC_H

#include "mc_type.h"

void vMC_BLDC_ImportStorage(BLDC_STORAGE_Type *storedBLDC, BLDC_Type *bldc);

#endif /* end __MC_BLDC_H */

/*****************************************************************************
**                            End Of File
******************************************************************************/
